#
# spec file for package python-distroinfo
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-distroinfo
Version:        0.6.2
Release:        1.6
Summary:        Parsing, validation and query functions for packaging metadata
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/softwarefactory-project/distroinfo
Source:         https://files.pythonhosted.org/packages/source/d/distroinfo/distroinfo-%{version}.tar.gz
BuildRequires:  %{python_module pbr >= 0.5.6}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-PyYAML
Requires:       python-pbr >= 0.5.6
Requires:       python-requests
Requires:       python-six
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module PyYAML}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module requests}
BuildRequires:  %{python_module six}
# /SECTION
%python_subpackages

%description
Python module for parsing, validating and querying distribution/packaging
metadata stored in human readable and reviewable text/YAML files.

%prep
%setup -q -n distroinfo-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec -m pytest

%files %{python_files}
%doc AUTHORS ChangeLog README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Tue Mar 14 2023 Dirk Müller <dmueller@suse.com>
- update to 0.6.2:
  * Add twine\_python parameter to upload-pypi
  * Use python3 in build-python-release
  * Add new filtering option and tests
  * Add new unit tests and fixes others
* Thu Dec  9 2021 pgajdos@suse.com
- version update to 0.5.1
  0.5.1
  - ----
  * Cleanup tox.ini, make pytest-runner req optional
  0.5.0
  - ----
  * Add new method: find\_element
  * Improve messages for MissingRequiredItem exception
  * Fix git URLs for review.rdoproject.org
  0.4.0
  - ----
  * Add function to compare attributes between commits
  * Fix integration tests
  * Update project contact
  * Fix CI jobs
* Thu May 28 2020 Steve Kowalik <steven.kowalik@suse.com>
- Update to 0.3.2:
  * Change README to rst
  * Switching Fedora runc nodeset to pod
  * Fix tags\_diff output with python3
  * Import ABC from collections.abc instead of collections
  * Add license header and fix integration test
* Thu Mar 21 2019 Jan Engelhardt <jengelh@inai.de>
- Use noun phrase in summary.
* Tue Mar  5 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v0.3.0
